---
title: scroll-snap-type-y
slug: Web/CSS/scroll-snap-type-y
tags:
  - CSS
  - CSS Property
  - CSS Scroll Snap
  - NeedsExample
  - Non-standard
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}{{deprecated_header}}</div>

<p>The <strong><code>scroll-snap-type-y</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property defines how strictly snap points are enforced on the vertical axis of the scroll container in case there is one.</p>

<p>Specifying any precise animations or physics used to enforce those snap points is not covered by this property but instead left up to the user agent.</p>

<pre class="brush: css no-line-numbers notranslate">/* Keyword values */
scroll-snap-type-y: none;
scroll-snap-type-y: mandatory;
scroll-snap-type-y: proximity;

/* Global values */
scroll-snap-type-y: inherit;
scroll-snap-type-y: initial;
scroll-snap-type-y: unset;
</pre>

<h2 id="Syntax">Syntax</h2>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>none</code></dt>
 <dd>When the visual {{Glossary("viewport")}} of this scroll container is scrolled vertically, it must ignore snap points.</dd>
 <dt><code>mandatory</code></dt>
 <dd>The visual viewport of this scroll container will rest on a snap point if it isn't currently scrolled vertically. That means it snaps on that point when the scroll action finished, if possible. If content is added, moved, deleted or resized the scroll offset will be adjusted to maintain the resting on that snap point.</dd>
 <dt><code>proximity</code></dt>
 <dd>The visual viewport of this scroll container may come to rest on a snap point if it isn't currently scrolled vertically considering the user agent's scroll parameters. If content is added, moved, deleted or resized the scroll offset may be adjusted to maintain the resting on that snap point.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{CSSInfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any standard.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("css.properties.scroll-snap-type-y")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/CSS/scroll-snap-type-x"><code>scroll-snap-type-x</code></a></li>
 <li><a href="/en-US/docs/Web/CSS/scroll-snap-type"><code>scroll-snap-type</code></a></li>
</ul>
